Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1084181 - [cli] upgrade shouldn’t install new packages which were not installed before
Summary: [cli] upgrade shouldn’t install new packages which were not installed before
Keywords:
Status: CLOSED DUPLICATE of bug 1134893
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dnf
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1088987 (view as bug list)
Depends On: 953205 1081456
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-03 18:46 UTC by Matěj Cepl
Modified: 2018-04-11 07:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-18 13:26:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Matěj Cepl 2014-04-03 18:46:33 UTC
Description of problem:
when I have directory full of RPMs and I run dnf upgrade *.rpm then I expect that only new versions of already installed packages will be installed, not packages which have not been installed before. What's wrong with me?

Version-Release number of selected component (if applicable):
libsolv-0.4.1-1.gitbcedc98.el7.x86_64
python-hawkey-0.4.12-2.el7.x86_64
librepo-1.7.0-1.el7.x86_64
dnf-0.4.19-2.el7.noarch

How reproducible:
100%

Comment 1 Ales Kozumplik 2014-04-04 11:45:48 UTC
Indeed, thanks for the report.

Comment 2 Radek Holy 2014-04-18 08:12:54 UTC
*** Bug 1088987 has been marked as a duplicate of this bug. ***

Comment 3 Honza Silhan 2014-09-18 13:26:53 UTC

*** This bug has been marked as a duplicate of bug 1134893 ***


Note You need to log in before you can comment on or make changes to this bug.